import { ApiProperty } from "@nestjs/swagger"
import { Type } from "class-transformer"
import { IsBoolean, IsInt } from "class-validator"

export class CreateChallengeActionDto {
  @IsInt()
  @Type(() => Number)
  @ApiProperty({ description: "Identifiant du défi rattaché à l'action" })
  challengeId: number

  @IsBoolean()
  @Type(() => Boolean)
  @ApiProperty({ description: "Est-ce que le défi est actuellement en train d'être réalisé" })
  active: boolean

  @IsBoolean()
  @Type(() => Boolean)
  @ApiProperty({ description: "Est-ce que le défi a été réussi" })
  success: boolean
}
