import { ApiProperty } from "@nestjs/swagger"
import { Challenge } from "@prisma/client"

export class ChallengeEntity implements Challenge {
  constructor(partial: Partial<ChallengeEntity>) {
    Object.assign(this, partial)
  }

  @ApiProperty({ description: "Identifiant unique" })
  id: number

  @ApiProperty({ description: "Titre du challenger" })
  title: string

  @ApiProperty({ description: "Description du challenge, de l'action à réaliser" })
  description: string

  @ApiProperty({ description: "Récompense en nombre de points en cas de réussite du challenger" })
  reward: number
}
